#
# Conditional build:
%bcond_without	gnome	# don't build gcdmaster
%bcond_without	mp3	# without MP3 support
%bcond_without	ogg	# without Ogg support
#
Summary:	Tools for burning CDRs in Disk At Once mode
Summary(pl.UTF-8):	Narzędzia do wypalania płyt w trybie Disk At Once
Summary(pt_BR.UTF-8):	Cdrdao - Escreve CD-Rs de áudio em modo "disk-at-once"
Name:		cdrdao
Version:	1.2.4
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/cdrdao/%{name}-%{version}.tar.bz2
# Source0-md5:	2ada887d1b30b440867b8df0d3023cf7
Source1:	%{name}.desktop
# http://cdrdao.sourceforge.net/drives.html#dt
Source2:	%{name}.drivers
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-pccts-antlr.patch
Patch2:		%{name}-gcc4.patch
URL:		http://cdrdao.sourceforge.net/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cdrtools-devel >= 3:2.01a25
%{?with_gnome:BuildRequires:	gtkmm-devel >= 2.4.0}
%{?with_mp3:BuildRequires:	lame-libs-devel >= 3.92}
%if %{with mp3} || %{with ogg}
BuildRequires:	libao-devel >= 0.8
%endif
%{?with_gnome:BuildRequires:	libgnomeuimm-devel >= 2.6.0}
BuildRequires:	libmad-devel >= 0.15.1b-4
%{?with_mp3:BuildRequires:	libmad-devel >= 0.15.1b-4}
%{?with_gnome:BuildRequires:	libsigc++-devel >= 2.0.0}
BuildRequires:	libstdc++-devel
%{?with_ogg:BuildRequires:	libvorbis-devel >= 1:1.0}
BuildRequires:	pccts >= 1.33MR33-8
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cdrdao records audio and data CD-Rs in Disk At Once mode. This mode
gives much better control over contents of CD.

%description -l pl.UTF-8
Cdrdao zapisuje płytki audio i z danymi w trybie Disk At Once. W tym
trybie masz znacznie większą kontrolę nad zawartością płytki.

%description -l pt_BR.UTF-8
Escreve CD-Rs de áudio em modo "disk-at-once" (DAO) permitindo
controle sobre pre-gaps (tamanho reduzido a 0, dados não zerados de
áudio) e informações de sub-canais como códigos ISRC. Todos os dados
que são escritos no disco devem ser especificados através de um
arquivo texto. Dados de áudio também podem estar no formato WAVE ou
raw.

%package gcdmaster
Summary:	GNOME frontend to cdrdao for composing audio CDs
Summary(pl.UTF-8):	Frontend GNOME do cdrdao do składania płyt CD-Audio
Group:		X11/Applications
Requires(post,postun):	shared-mime-info
Requires:	%{name} = %{version}-%{release}

%description gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and can control
the recording process. Its main application is the composition of
audio CDs from one or more audio files. It supports PQ-channel
editing, entry of meta data like ISRC codes/CD-TEXT and non
destructive cut of the audio data.

%description gcdmaster -l pl.UTF-8
gcdmaster pozwala na tworzenie plików toc dla cdrdao oraz może
kontrolować proces nagrywania. Głównym celem jest składanie płyt
CD-Audio z jednego lub więcej plików z dźwiękiem. Obsługuje edycję
kanału PQ, wpisy meta-danych takich jak kody ISRC/CD-TEXT oraz
niedestruktywne cięcie danych audio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} -i -e 's#/usr/src/linux/include##g' scsilib/DEFAULT*/Defaults.linux
%if !%{with gnome}
%{__sed} -i -e 's/^en_gcdmaster=yes$/en_gcdmaster=no/' configure.ac
%endif

install %{SOURCE1} gcdmaster/gcdmaster.desktop

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
PKG_CONFIG=%{_bindir}/pkg-config \
%configure \
	--with-pcctsbin=%{_bindir} \
	--with-pcctsinc=%{_libdir}/pccts/h \
	--with-scglib-inc=%{_includedir}/schily \
	--with-scglib-lib=%{_libdir} \
	--with%{!?with_gnome:out}-gcdmaster \
	--with%{!?with_mp3:out}-mp3-support \
	--with%{!?with_ogg:out}-ogg-support

%{__make} \
	CC="%{__cc}" \
	COPTOPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_datadir}/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}/drivers

%if %{with gnome}
rm -r $RPM_BUILD_ROOT%{_datadir}/{application-registry,mime-info}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post gcdmaster
%update_mime_database

%postun gcdmaster
%update_mime_database

%files
%defattr(644,root,root,755)
%doc CREDITS README README.PlexDAE
%attr(755,root,root) %{_bindir}/cdrdao
%attr(755,root,root) %{_bindir}/toc2*
%attr(755,root,root) %{_bindir}/cue2toc
%{_datadir}/%{name}
%{_mandir}/man1/cdrdao.1*
%{_mandir}/man1/cue2toc.1*
%{_mandir}/man1/toc2cddb.1*
%{_mandir}/man1/toc2cue.1*

%if %{with gnome}
%files gcdmaster
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gcdmaster
%{_datadir}/gcdmaster
%{_datadir}/mime/packages/gcdmaster.xml
%{_desktopdir}/gcdmaster.desktop
%{_sysconfdir}/gconf/schemas/gcdmaster.schemas
%{_pixmapsdir}/*
%{_mandir}/man1/gcdmaster.1*
%endif
%changelog
* Mon Mar 02 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cdrdao.git;a=log;h=master

* Mon Mar 02 2020 Jan Palus <atler@pld-linux.org> 3b5bb78
- up to 1.2.4

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> aa5a3d3
- x32 rebuild
- release 7 (by relup.sh)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 3014059
- release 6 (by relup.sh)

* Sun Jun 06 2010 Jan Palus <jan.palus@gmail.com> ab10394
- BR: GConf2-devel for macro in configure.ac

* Sat Jun 05 2010 Caleb Maclennan <caleb@alerque.com> f1ab998
- Adapterized

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 56aa9ff
- rel 4
- added headers required for stat(2)

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 138afa4
- rel 3

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> ad5cc15
- rel 2
- install our desktop file
- fixed desktop categories

* Tue Feb 16 2010 amateja <amateja@pld-linux.org> 087be4e
- adjusted for 1.2.3

* Tue Feb 16 2010 amateja <amateja@pld-linux.org> 05d4b3e
- obsolete

* Tue Feb 16 2010 amateja <amateja@pld-linux.org> 4756b93
- updated to 1.2.3
- removed cdrdao-sigc.patch
- renumerated patches
- adapterized

* Tue Feb 16 2010 amateja <amateja@pld-linux.org> 7154fba
- adjusted for 1.2.3

* Fri Aug 28 2009 duddits <duddits@pld-linux.org> 34a8720
- for glibc 2.10; taken from http://bugs.gentoo.org/270414

* Fri Aug 28 2009 duddits <duddits@pld-linux.org> e2b4430
- glibc.patch added; stolen from -> http://bugs.gentoo.org/270414

* Sat Nov 01 2008 areq <areq@pld-linux.org> f3103b2
- fix without gnome build

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 76c415b
- release 2

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 19e484b
- new/updated

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 3366e68
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Thu Sep 06 2007 Jakub Bogusz <qboosh@pld-linux.org> edb48fe
- updated gcdmaster files, enabled by default

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 6e84798
- 1.2.2

